<ul [ngClass]="[jds.dropdownMenu, jds.minW(width())]">
  @switch (status()) {
    @case ('draft') {
      <li [ngClass]="[jds.dropdownNavbarItem]">
        <a
          [ngClass]="[jds.dropdownNavbarLink]"
          [routerLink]="['/my-dataset/edit/', datasetID()]"
          [queryParams]="{
            from: 'draft',
            status: 'draft-active'
          }"
        >
          Ubah
        </a>
      </li>
      <li [ngClass]="[jds.dropdownNavbarItem]">
        <a
          [ngClass]="[jds.dropdownNavbarLink]"
          (click)="onDelete({ id: datasetID(), category: 'delete-active' })"
        >
          Hapus
        </a>
      </li>
    }
    @case ('active') {
      <li [ngClass]="[jds.dropdownNavbarItem]">
        <a
          [ngClass]="[jds.dropdownNavbarLink]"
          [routerLink]="['/my-dataset/edit/', datasetID()]"
          [queryParams]="{
            from: 'my-dataset',
            status: 'approve-active'
          }"
        >
          Ubah
        </a>
      </li>
      <li [ngClass]="[jds.dropdownNavbarItem]">
        <a
          [ngClass]="[jds.dropdownNavbarLink]"
          (click)="onArchive({ id: datasetID() })"
        >
          Arsipkan
        </a>
      </li>
      <!-- TODO: activated when discontinue feature is ready -->
      <!-- <li [ngClass]="[jds.dropdownNavbarItem]">
        <a
          [ngClass]="[jds.dropdownNavbarLink]"
          (click)="
            onDiscontinue({ id: datasetID(), category: 'discontinue-active' })
          "
        >
          Diskontinu
        </a>
      </li> -->
      <li [ngClass]="[jds.dropdownNavbarItem]">
        <a
          [ngClass]="[jds.dropdownNavbarLink]"
          (click)="onDelete({ id: datasetID(), category: 'delete-active' })"
        >
          Hapus
        </a>
      </li>
    }
    @case ('archive') {
      <li [ngClass]="[jds.dropdownNavbarItem]">
        <a
          [ngClass]="[jds.dropdownNavbarLink]"
          (click)="onActive({ id: datasetID() })"
        >
          Aktifkan
        </a>
      </li>
      <!-- TODO: activated when discontinue feature is ready -->
      <!-- <li [ngClass]="[jds.dropdownNavbarItem]">
        <a
          [ngClass]="[jds.dropdownNavbarLink]"
          (click)="
            onDiscontinue({ id: datasetID(), category: 'discontinue-archive' })
          "
        >
          Diskontinu
        </a>
      </li> -->
      <li [ngClass]="[jds.dropdownNavbarItem]">
        <a
          [ngClass]="[jds.dropdownNavbarLink]"
          (click)="onDelete({ id: datasetID(), category: 'delete-active' })"
        >
          Hapus
        </a>
      </li>
    }
    @case ('delete') {
      <li [ngClass]="[jds.dropdownNavbarItem]">
        <a
          [ngClass]="[jds.dropdownNavbarLink]"
          (click)="
            onRecover({ id: datasetID(), lastCategory: datasetLastCategory() })
          "
        >
          Pulihkan
        </a>
      </li>
      <li [ngClass]="[jds.dropdownNavbarItem]">
        <a
          [ngClass]="[jds.dropdownNavbarLink]"
          (click)="onDelete({ id: datasetID(), category: 'delete-delete' })"
        >
          Hapus Permanen
        </a>
      </li>
    }
  }
</ul>
